Spigot MarketGUI 1.2.5

An advanced player shop GUI allowing players to sell items. Works 1.8-1.15.2

  1. Hey!

    I can't seem to figure out how to add an item to my shop?
    The /shop command works, but I can't do much with it yet.

    Could you please explain adding items to the shops?

    Thank you!
     
  2. Sorry for the delay, if you drag an item into your manage shop menu (labelled "My Shop"), and click on any slot, you will be taken to a menu to set the item's price. To remove items from the shop, you can right click the item in the manage menu.
     
  3. Hi, i have the same issue stated above. I cant drag any item in the shop menu labelled "My Shop". I'm on 1.15.2 version and no errors show up in the console
     
  4. You should be able to left click (only) the item into the "My Shop" menu.
     
  5. I have tried everything:left click,right click,dragging the items in the shop but nothing happens
     
  6. I've tested it with multiple people on 1.15.2. To confirm, are you selecting the item you want to place with your mouse, and then left clicking inside the Manage Market inventory with the item?

    Thanks for your patience.
     
  7. i am not quite sure what you mean with Manage Market inventory. When i click on "My Shop" it doesn't open any other inventory
     
  8. I just recorded a gif, maybe it will help, but I'm not too sure.
    https://imgur.com/a/Qp6lfWs
     
  9. Thanks for your patience. I am still not able to add any item. if you want I can pm you the ip of my server so you can check
     
  10. I'm really sorry, I too have the error when using Spigot (I did my testing using paper server). I will work out a fix and publish it as soon as possible.

    Thanks again,

    Joseph.
     
    • Like Like x 1
  11. Hi, I believe I have fixed the problem, would you be able to confirm if it works?

    Thanks :)
     
  12. Hey, i have tested the latest version. It still doesn't work sorry :confused:
     
  13. If you download the latest version now, is is still broken? It works for me on Spigot 1.15.2. What version of spigot are you using?
     
  14. I am using plugin version 1.1.1 on a Spigot 1.15.2 server
     
  15. Can you try 1.1.3? I accidentally didn't update the plugin version to 1.1.2 on the second to last update! 1.1.3 should definitely be fixed.

    Thanks :)